import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * Class to add the right panel with buttons
 * @author Marcio B Antonio M.
 *
 */
 public class ButtonPanel extends JPanel {
  
	private JButton botones[];
	/**
	 * Constructor of the class
	 * @param c DigitalCircuit
	 * @param f JFrame
	 */
    public ButtonPanel(DigitalCircuit c, JFrame f){
		
    	botones = new JButton[6];
    	ButtonPanelMenuListener buttonListener = new ButtonPanelMenuListener( c, f );
    	this.setLayout(null);
    	// crear y agregar botones
    	botones[0] = new JButton("Start", new ImageIcon("images/run.png"));
    	botones[1] = new JButton("Wire", new ImageIcon("images/wire.png"));
    	botones[2] = new JButton("Source", new ImageIcon("images/source.png"));
    	botones[3] = new JButton("Meter", new ImageIcon("images/meter.png"));
    	botones[4] = new JButton("OPEN");
    	botones[5] = new JButton("SAVE");
    	// adds buttons
    	for ( int cuenta = 0; cuenta < botones.length; cuenta++ ) {
    		botones[cuenta].setBounds(10,60*cuenta+10,120,50);
    		this.add( botones[ cuenta ] );
    		botones[cuenta].addActionListener(buttonListener);
    	}

    }
 }
  
