import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.geom.Path2D;
/**
 * Interface for visual object
 * @author Agustin G
 * @version v2
 */
public interface Drawable {
   void draw (Graphics2D g2d);
   boolean contains (Point p);
   void dragIn(int dx, int dy);
   void flip();
   void setSelected();
   void setReleased(); 
   void setSelColor(Color c);
   void setRelColor(Color c);
   void setGDelay(float d);
   Path2D.Double getPos();
   float getGDelay();
   int getIdDraw();
   void graph();
}