import java.awt.BorderLayout;
import javax.swing.JDialog;
import javax.swing.JFrame;
/**
 * Class to creates a frame with the graph
 * for a GMeter
 * @author Marcio B
 *
 */
public class GraphFrame extends JDialog
 {
	//private Graphics2D g2d ;
	private GraphPanel gp;
	/**
	 * Constructor for the class
	 */
	public GraphFrame(){
		gp = new GraphPanel(100);
	}
	/**
	 * Generates te frame with the graph
	 * @param frame JFrame
	 * @param id int
	 */
    public void doFrame(JFrame frame, int id){
    
    	JDialog dialog = new JDialog(frame,"Graph of METER_" + id);
    	getContentPane().setLayout(new BorderLayout());
    	dialog.setSize(300, 300);
    	dialog.setLocationRelativeTo(frame);
		
    	gp.setDescription("Meter_" + id);
		dialog.add(gp);
    	dialog.setVisible(true);
    	
    }
    /**
     * Gets the value for the graphics
     * @param t float
     * @param v int
     */
    public void addValue(float t, int v){
    	gp.addPoint(t, v);
    }
        
 }


